[*]
charset = utf-8
end_of_line = lf
indent_size = 4
indent_style = space
insert_final_newline = false
max_line_length = 120
tab_width = 4

[*.proto]
indent_size = 2
tab_width = 2

[{*.bash,*.sh,*.zsh}]
indent_size = 2
tab_width = 2

[{*.go,*.go2}]
indent_style = tab
ij_go_import_sorting = goimports
ij_go_local_group_mode = prefix
ij_go_local_package_prefixes = gitlab.com
ij_go_move_all_imports_in_one_declaration = true

[{*.har,*.jsb2,*.jsb3,*.json,*.jsonc,*.postman_collection,*.postman_collection.json,*.postman_environment,*.postman_environment.json,.babelrc,.eslintrc,bowerrc,jest.config}]
indent_size = 2

[{*.http,*.rest}]
indent_size = 0

[{*.pb,*.textproto,*.txtpb}]
indent_size = 2
tab_width = 2

[{*.yaml,*.yml}]
indent_size = 2
